bval-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Thomas Andraschko (Jira)" <j...@apache.org>
Subject [jira] [Commented] (BVAL-181) bval-guice 0.5 does not work with Java 11
Date Tue, 14 Jul 2020 08:34:00 GMT

    [ https://issues.apache.org/jira/browse/BVAL-181?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17157220#comment-17157220
] 

Thomas Andraschko commented on BVAL-181:
----------------------------------------

whats are plan? reintroduce the guice module in 2.x or hotfix 0.x?

> bval-guice 0.5 does not work with Java 11
> -----------------------------------------
>
>                 Key: BVAL-181
>                 URL: https://issues.apache.org/jira/browse/BVAL-181
>             Project: BVal
>          Issue Type: Bug
>            Reporter: John Doe
>            Priority: Major
>
> bval-guice 0.5 (latest version) does not work with Java 11. It still works with Java
8.
> Simple example code that causes failure with stacktrace
> {code:java}
> ValidationModule module = new org.apache.bval.guice.ValidationModule();
> com.google.inject.Guice.createInjector(module);
> {code}
> Problem seems to be that validation package is using old version of bundle library, which
is not compatible with Java 11. 
> But if I update the org.apache.bval.bundle from 0.5 to 2.0.3 version using maven dependencies,
new error appears
> {code:java}
> java.lang.NoClassDefFoundError: org/apache/bval/jsr303/DefaultMessageInterpolator
> {code}
> What needs to be done:
> - New version of bval-guice using latest bundle library should be created (to fix problems
within the bundle lib) and problems like the NoClassDefFoundError error above should be fixed.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message